> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Linear status



## OpenAPI

````yaml api-reference/openapi.json GET /linear/status
openapi: 3.1.0
info:
  title: Aether API
  version: 0.1.0
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /linear/status:
    get:
      tags:
        - linear
      summary: Get Linear status
      operationId: getLinearStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinearStatus'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinearErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinearErrorResponse'
          description: Internal Server Error
components:
  schemas:
    LinearStatus:
      oneOf:
        - $ref: '#/components/schemas/DisconnectedLinearStatus'
        - $ref: '#/components/schemas/UnavailableLinearStatus'
        - $ref: '#/components/schemas/ConnectedLinearStatus'
    LinearErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - bad_gateway
            - bad_request
            - conflict
            - forbidden
            - gateway_timeout
            - gone
            - internal_error
            - method_not_allowed
            - not_acceptable
            - not_found
            - not_implemented
            - payment_required
            - precondition_failed
            - rate_limited
            - request_canceled
            - request_timeout
            - request_too_large
            - service_unavailable
            - unauthenticated
            - unsupported_media_type
            - validation_failed
          minLength: 1
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
        - code
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
            - agent_host_route_not_allowed
            - credential_kind_not_admitted
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    DisconnectedLinearStatus:
      additionalProperties: false
      properties:
        connected:
          enum:
            - false
          type: boolean
      required:
        - connected
      type: object
    UnavailableLinearStatus:
      additionalProperties: false
      properties:
        connected:
          enum:
            - false
          type: boolean
        unavailable:
          enum:
            - true
          type: boolean
      required:
        - connected
        - unavailable
      type: object
    ConnectedLinearStatus:
      additionalProperties: false
      properties:
        connected:
          enum:
            - true
          type: boolean
        defaultActorUserId:
          format: uuid
          type: string
        installedBy:
          format: uuid
          type: string
        organizationId:
          minLength: 1
          type: string
        organizationName:
          minLength: 1
          type: string
      required:
        - connected
        - organizationId
        - organizationName
        - installedBy
        - defaultActorUserId
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.